Download it now!
Bug 89174 - android: Switching slides using swipe
Summary: android: Switching slides using swipe
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Siqi LIU
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2015-02-06 14:48 UTC by Jan Holesovsky
Modified: 2015-03-05 14:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Parts displayed (608.25 KB, image/png)
2015-02-09 21:47 UTC, Kevin W. Gagel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2015-02-06 14:48:56 UTC
Swipe right or swipe down => previous slide.

Swipe left or swipe up => next slide.

Quite important for the usability ;-)
Comment 1 Kevin W. Gagel 2015-02-09 21:47:17 UTC
Created attachment 113267 [details]
Parts displayed

The parts display is ugly if you're using a tablet attached to a projector (wired or wireless) for your presentation. It's also difficult to navigate.
Comment 2 Siqi LIU 2015-02-28 21:05:38 UTC
I've tried to implemented this and for now it seems to work fine on my device.

http://cgit.freedesktop.org/libreoffice/core/commit/?h=feature/tiled-editing&id=961a13bc0edf7c1fbfe4d57bc54688112368534e

Although, given that layerView also handles touchEvents in its own way, on top of which we are adding editing functionality, it might be a good idea to separate viewing/editing mode for documents?
Comment 3 Jan Holesovsky 2015-03-05 11:37:32 UTC
Siqi - this is some great work, thanks for that [& sorry for re-opening - was not sure if it is best to create a follow-up report, or write here - but as you posted a question here, decided for re-opening :-)]

Turns out that the behavior feels a bit awkward when the slide is zoomed - can you please make the "swipe left to switch to the next slide" work only when the rightmost edge of the slide is visible, and similarly "swipe right to switch to previous" only when the leftmost edge of the slide is visible?  Currently it is hard to scroll in a zoomed in slide, as that switches slides too easily.

Wrt. the touchEvents and layerView - cannot you handle the swipe directly in the layerView then, to avoid such a conflict?

Wrt. the commit itself - would be great to do commit messages in form of

tdf#89174: Implement swiping gesture as a generic event.

The commits are then automatically reported to the bug you mention in the commit message :-)

Thanks again - I've just pushed your changes to production, should appear in the new .apk soon.